Subject: RE: Process id in UDP/TCP mibs?

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Sat, 13 May 2006 09:34:26 -0400

It seems to me that having some process identified with a endpoint
(socket) has value. Yes, it may not be the actual process now using the
endpoint, but it still provides some meaningful information (such as the
process that originally created the endpoint).

I'd rather see the description change, perhaps to something like:

              "The system's process ID for a process associated with
               this endpoint, or zero if there is no such process.
               This may be the process that created the endpoint
               or one of the processes that is presently associated
               with the endpoint. This value is expected to be the
               same as HOST-RESOURCES-MIB::hrSWRunIndex or
               SYSAPPL-MIB::sysApplElmtRunIndex for some row in the
               appropriate tables."

> -----Original Message-----
> From: Juergen Schoenwaelder [mailto:[email-masked]] 
> Sent: Saturday, May 13, 2006 3:44 AM
> To: Erik Nordmark
> Cc: [email-masked]
> Subject: Re: Process id in UDP/TCP mibs?
> 
> On Fri, May 12, 2006 at 01:51:57PM -0700, Erik Nordmark wrote:
>  
> > >So my preference would be to deprecate them since what we 
> really would
> > >need is a n:m mapping table between process ids and 
> transport endpoints.
> > 
> > Any other comments?
> > 
> > If not, how do we go about deprecating them?
> 
> On the technical side, there is a slight problem with deprecating
> udpEndpointProcess and tcpListenerProcess since these objects are the
> only readable column of the underlying tables and hence the whole
> table becomes not-accessible. And changing the MAX-ACCESS is not
> allowed by the SMIv2 rules - so we essentially would have to create
> new tables...
> 
> /js
> 
> -- 
> Juergen Schoenwaelder		    International University Bremen
> <http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 
> 28725 Bremen, Germany
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Erik Nordmark <[email-masked]>
Date: Mon, 15 May 2006 16:20:01 -0700

> process that originally created the endpoint).

Even after that process has exited?
And later, when some other process has been assigned that process id?

    Erik